CairoImageSurface::getFormat
CairoImageSurface::getStride
CairoImageSurface
PHP Manual

# CairoImageSurface::getHeight

(PECL cairo >= 0.1.0)

CairoImageSurface::getHeight — Retrieves the height of the CairoImageSurface

### Description

public int CairoImageSurface::getHeight ( void )

This methods returns the CairoImageSurface height.

### Parameters

This function has no parameters.

### Return Values

CairoImageSurface object height

### Examples

Example #1 CairoImageSurface::getHeight example

`<?php
// creates a new image surface
$surface = new CairoImageSurface(CairoFormat::ARGB32, 80, 50);
//gets the width
var_dump($surface->getHeight());
?>`

The above example will output something similar to:

    int(50)

### See Also

- CairoImageSurface::getWidth - Retrieves the width of the CairoImageSurface

CairoImageSurface::getFormat
CairoImageSurface::getStride
CairoImageSurface
PHP Manual